%if 0%{?el7}
%define dist .el7
%endif

Name:           mpc
Version:        0.34
Release:        1%{?dist}
Summary:        Music Player Command (mpc)

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/mpc/0/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libmpdclient-devel
BuildRequires:  meson ninja-build
BuildRequires:  gcc gcc-c++
BuildRequires:  python3-sphinx
# since 0.34
BuildRequires:  rsync

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
mpc is a client for MPD, the Music Player Daemon. mpc provides a command line
user interface for controlling an MPD server running on the local network.

For more information about MPD and other clients visit http://www.musicpd.org.

%prep
%setup -q

%build
%meson
%meson_build


%install
%meson_install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -p -D -m0644 contrib/mpc-completion.bash \
    $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}
for i in mpd-m3u-handler.sh mpd-pls-handler.sh; do
    install -p -D -m0755 $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/contrib/${i} \
        $RPM_BUILD_ROOT%{_libexecdir}/%{name}/${i}
done
rm -rf $RPM_BUILD_ROOT%{_pkgdocdir}/contrib
rm -f $RPM_BUILD_ROOT%{_pkgdocdir}/COPYING
rm -f $RPM_BUILD_ROOT%{_pkgdocdir}/html/.buildinfo


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc AUTHORS NEWS README.rst contrib/*.sh
%{!?_licensedir:%global license %%doc}
%license COPYING
%defattr(-,root,root,-)
%{_bindir}/mpc
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_mandir}/man1/%{name}.1*
%{_libexecdir}/%{name}
%{_pkgdocdir}

%changelog
* Sat Jan 08 2022 momo-i <webmaster@momo-i.org> - 0.34-1
- Update to 0.34

* Tue Dec 24 2019 momo-i <webmaster@momo-i.org> - 0.33-1
- Update to 0.33

* Mon Nov 26 2018 momo-i <webmaster@momo-i.org> - 0.31-1
- Update to 0.31

* Sun Jul 08 2018 momo-i <webmaster@momo-i.org> - 0.30-1
- Update to 0.30

* Tue Sep 06 2016 momo-i <webmaster@momo-i.org> - 0.28-1
- Update to 0.28

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.27-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.27-4
- Rebuilt for fc23

* Sat Jun 06 2015 momo-i <webmaster@momo-i.org> - 0.27-3
- Update to 0.27

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.26-3
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.26-2
- Add doc and license dir

* Mon Jun  9 2014 momo-i <webmaster@momo-i.org> - 0.26-1
- Update to 0.26

* Wed Nov 27 2013 momo-i <webmaster@momo-i.org> - 0.25-1
- Update to 0.25

* Wed Jun 26 2013 momo-i <webmaster@momo-i.org> 0.23-1
- Initial rpm release.
